/**
 * C++ Struct   EntityMapping
 *
 * Revision     1.0a (9th August 2010)
 * Programmer   Michael Allwright
 *
 * Purpose      Defines an structure which creates a three way mapping between an entity UID, a flow ID,
 *              and a string which is the name for that given entity (for future use, refer to the first
 *              column of an entity file (aka l3dgehosts.conf))...
**/

#ifndef _LTCPMON_ENTITYMAPPING_
#define _LTCPMON_ENTITYMAPPING_

struct EntityMapping
{
    EntityMapping(const std::string & entityName, unsigned int entityUID, const std::string & flowID)
    : entityName(entityName), entityUID(entityUID), flowID(flowID) {}

    std::string entityName;
    unsigned int entityUID;
    std::string flowID;

};

#endif

